Bug 719802 - [abrt] xfce4-panel-4.8.3-2.fc15: xfce_tasklist_button_enter_notify_event_disconnected: Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
[abrt] xfce4-panel-4.8.3-2.fc15: xfce_tasklist_button_enter_notify_event_disc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:4c30c660e88decad02f7620d537...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 23:19 EDT by Brendan Jones
Modified: 2012-08-07 15:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:54:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (22.96 KB, text/plain)
2011-07-07 23:19 EDT, Brendan Jones
no flags Details
File: backtrace (29.39 KB, text/plain)
2011-07-07 23:19 EDT, Brendan Jones
no flags Details

  None (edit)
Description Brendan Jones 2011-07-07 23:19:35 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        xfce4-panel --sm-client-id 2542f9bba-1d16-44b3-95a0-1412bcc52bd7
comment:        Occurs when trying to close a window when window grouping is set in Window Button preferences
component:      xfce4-panel
crash_function: xfce_tasklist_button_enter_notify_event_disconnected
executable:     /usr/bin/xfce4-panel
kernel:         2.6.38.8-32.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        xfce4-panel-4.8.3-2.fc15
rating:         4
reason:         Process /usr/bin/xfce4-panel was killed by signal 11 (SIGSEGV)
time:           Fri Jul  8 12:16:05 2011
uid:            500
username:       brendan

backtrace:      Text file, 30096 bytes
maps:           Text file, 23506 bytes

dsos:
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1308645321
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.i686 (Fedora Project) 1308646817
:/lib/libutil-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/gtk-2.0/2.10.0/engines/libmurrine.so gtk-murrine-engine-0.98.1.1-2.fc15.i686 (Fedora Project) 1308648795
:/usr/lib/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1308646798
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1308642115
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1308641556
:/usr/lib/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1308646798
:/lib/ld-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/libxfce4util.so.4.1.1 libxfce4util-4.8.1-2.fc15.i686 (Fedora Project) 1308641633
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1308641605
:/lib/libc-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/libxfce4ui-1.so.0.0.0 libxfce4ui-4.8.0-4.fc15.i686 (Fedora Project) 1308646859
:/usr/lib/libxfce4panel-1.0.so.3.0.0 xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.i686 (Fedora Project) 1308641623
:/usr/share/fonts/dejavu/DejaVuSansCondensed.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1308641813
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1308642124
:/usr/lib/xfce4/panel/plugins/libwindowmenu.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1308641578
:/usr/lib/locale/locale-archive glibc-common-2.14-2.i686 (Fedora Project) 1308641495
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308641610
:/usr/lib/xfce4/panel/plugins/libpager.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.i686 (Fedora Project) 1308641508
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1308641558
:/lib/libm-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/libexo-1.so.0.0.0 exo-0.6.2-1.fc15.i686 (Fedora Project) 1308646888
:/usr/lib/libSM.so.6.0.1 libSM-1.2.0-2.fc15.i686 (Fedora Project) 1308641538
:/usr/share/fonts/liberation/LiberationSans-Bold.ttf liberation-sans-fonts-1.07.0-1.fc15.noarch (Fedora Project) 1308642455
:/usr/lib/xfce4/panel/plugins/libshowdesktop.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/gtk-2.0/2.10.0/engines/libpixmap.so gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1308646798
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1308641557
:/usr/lib/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.i686 (Fedora Project) 1308641506
:/usr/lib/xfce4/panel/plugins/libapplicationsmenu.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308641610
:/usr/lib/xfce4/panel/plugins/libclock.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.i686 (Fedora Project) 1308646817
:/usr/lib/libxcb-event.so.1.0.0 xcb-util-0.3.6-2.fc15.i686 (Fedora Project) 1308641646
:/usr/lib/libgarcon-1.so.0.0.0 garcon-0.1.7-1.fc15.i686 (Fedora Project) 1308642076
:/lib/librt-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1308646795
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-1.fc15.i686 (Fedora Project) 1308641621
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1308641554
:/usr/lib/freetype-freeworld/libfreetype.so.6.6.2 freetype-freeworld-2.4.4-3.fc15.i686 (RPM Fusion) 1308885838
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1308646795
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1308642129
:/lib/libnss_files-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1308641528
:/usr/lib/xfce4/panel/plugins/libactions.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.i686 (Fedora Project) 1308641510
:/usr/lib/xfce4/panel/plugins/libtasklist.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/libXRes.so.1.0.0 libXres-1.0.5-2.fc15.i686 (Fedora Project) 1308642080
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-1.fc15.i686 (Fedora Project) 1308641563
:/usr/lib/libstartup-notification-1.so.0.0.0 startup-notification-0.10-4.fc13.i686 (Fedora Project) 1272410627
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1308641591
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1308641505
:/lib/libudev.so.0.11.1 libudev-167-4.fc15.i686 (Fedora Project) 1308641586
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308641610
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1308646795
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1308645321
:/usr/lib/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.i686 (Fedora Project) 1308642578
:/usr/lib/libwnck-1.so.22.3.29 libwnck-2.30.4-3.fc15.i686 (Fedora Project) 1308646857
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308641610
:/lib/libresolv-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/xfce4/panel/plugins/libseparator.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so gdk-pixbuf2-2.23.3-1.fc15.i686 (Fedora Project) 1308641621
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1308641559
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1308641480
:/lib/libuuid.so.1.3.0 libuuid-2.19.1-1.2.fc15.i686 (Fedora Project) 1308641537
:/lib/libdl-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.i686 (Fedora Project) 1308641646
:/usr/lib/libICE.so.6.3.0 libICE-1.0.6-3.fc15.i686 (Fedora Project) 1308641511
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1308641562
:/usr/bin/xfce4-panel xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/libxfconf-0.so.2.0.0 xfconf-4.8.0-2.fc15.i686 (Fedora Project) 1308642182
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1308641555
:/lib/libpthread-2.14.so glibc-2.14-2.i686 (Fedora Project) 1308641484
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1308641566
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1308641610
:/usr/lib/xfce4/panel/plugins/liblauncher.so xfce4-panel-4.8.3-2.fc15.i686 (Fedora Project) 1308646909
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1308641564
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1308641521
:/usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so gtk-nodoka-engine-0.7.5-2.fc15.i686 (Fedora Project) 1308648786
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1308642136
:/usr/lib/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.i686 (Fedora Project) 1308641646
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1308641625

environ:
:DREAL_TECHNO_NAME=/usr/lib/alliance/etc/cmos.dreal
:MANPATH=:/usr/lib/alliance/man:/usr/local/share/man:/usr/share/man:/usr/lib/alliance/man
:VH_PATSFX=pat
:TPD_GLOBAL=/usr/share/toped/
:XDG_SESSION_ID=3
:SSH_AGENT_PID=5459
:HOSTNAME=192-168-1-150.tpgi.com.au
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/gpg-CyUUru/S.gpg-agent:5519:1
:GLADE_PIXMAP_PATH=:
:MBK_IN_PH=ap
:XDG_MENU_PREFIX=xfce-
:XSCH_PARAM_NAME=/usr/lib/alliance/etc/xsch.par
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8a0e9a56bfe2eb5c2590189f00000014-1308888421.572987-303706223
:PERL5LIB=/home/brendan/perl5/lib/perl5/i386-linux-thread-multi:/home/brendan/perl5/lib/perl5
:VH_MAXERR=10
:QTDIR=/usr/lib/qt-3.3
:RDS_OUT=cif
:GNOME_KEYRING_CONTROL=/tmp/keyring-8a6aNF
:QTINC=/usr/lib/qt-3.3/include
:'PERL_MB_OPT=--install_base /home/brendan/perl5'
:XFSM_PARAM_NAME=/usr/lib/alliance/etc/xfsm.par
:GRAAL_TECHNO_NAME=/usr/lib/alliance/etc/cmos.graal
:ALLIANCE_TOP=/usr/lib/alliance
:TPD_LOCAL=/home/brendan
:IMSETTINGS_MODULE=none
:USER=brendan
:LS_COLORS=
:LIBGL_DRIVERS_PATH=/usr/lib/dri
:LD_LIBRARY_PATH=/usr/lib/alliance/lib
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-iHDgMC5339/agent.5339
:USERNAME=brendan
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/brendan
:DESKTOP_SESSION=xfce
:PATH=/usr/lib/qt-3.3/bin:/home/brendan/perl5/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/lib/alliance/bin:/usr/libexec/sdcc:/home/brendan/bin
:MBK_SCALE_X=100
:QT_IM_MODULE=xim
:MBK_CATAL_NAME=CATAL
:PWD=/home/brendan
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:MBK_OUT_PH=ap
:LANG=en_AU.UTF-8
:GNOME_KEYRING_PID=5331
:MBK_SPI_MODEL=/usr/lib/alliance/etc/spimodel.cfg
:GENVIEW_TECHNO_NAME=/usr/lib/alliance/etc/cmos.genview
:RDS_IN=cif
:GDM_LANG=
:KDEDIRS=/usr
:MBK_OUT_LO=vst
:MBK_VSS=vss
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:VH_BEHSFX=vbe
:HISTCONTROL=ignoredups
:XFSM_VERBOSE=1
:SHLVL=2
:HOME=/home/brendan
:ODBCINI=/etc/odbcinst.ini
:MBK_C4_LIB=./cellsC4
:MBK_VDD=vdd
:MBK_TARGET_LIB=/usr/lib/alliance/cells/sxlib
:RDS_TECHNO_NAME=/usr/lib/alliance/etc/cmos.rds
:GTK_PATH=:/usr/lib/gtk-2.0
:PERL_LOCAL_LIB_ROOT=/home/brendan/perl5
:VH_DLYSFX=dly
:LOGNAME=brendan
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1pYmnERovD,guid=0c8898515e3eb4bc2dd0d82b000007d5
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:MBK_IN_LO=vst
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MBK_WORK_LIB=.
:XPAT_PARAM_NAME=/usr/lib/alliance/etc/xpat.par
:WINDOWPATH=7
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/brendan
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:ELP_TECHNO_NAME=/usr/lib/alliance/etc/prol.elp
:PERL_MM_OPT=INSTALL_BASE=/home/brendan/perl5
:G_BROKEN_FILENAMES=1
:MBK_CATA_LIB=.:/usr/lib/alliance/cells/sxlib:/usr/lib/alliance/cells/dp_sxlib:/usr/lib/alliance/cells/rflib:/usr/lib/alliance/cells/rf2lib:/usr/lib/alliance/cells/ramlib:/usr/lib/alliance/cells/romlib:/usr/lib/alliance/cells/pxlib:/usr/lib/alliance/cells/padlib
:XAUTHORITY=/var/run/gdm/auth-for-brendan-pfypLi/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/5530,unix/unix:/tmp/.ICE-unix/5530

event_log:
:2011-07-08-12:18:56> Analyzing crash data
:2011-07-08-12:19:10  Analyzing crash data
:2011-07-08-12:19:22  Analyzing crash data
:2011-07-08-12:19:34  Analyzing crash data
:2011-07-08-12:19:47  Initializing virtual root
:2011-07-08-12:19:59  Initializing virtual root
:2011-07-08-12:20:11  Initializing virtual root
:2011-07-08-12:20:24  Initializing virtual root
:2011-07-08-12:20:36  Initializing virtual root
:2011-07-08-12:20:47  Initializing virtual root
:2011-07-08-12:21:00  Initializing virtual root
:2011-07-08-12:21:12  Initializing virtual root
:2011-07-08-12:21:24  Initializing virtual root
:2011-07-08-12:21:36  Initializing virtual root
:2011-07-08-12:21:47  Initializing virtual root
:2011-07-08-12:21:59  Initializing virtual root
:2011-07-08-12:22:13  Initializing virtual root
:2011-07-08-12:22:27  Initializing virtual root
:2011-07-08-12:22:39  Initializing virtual root
:2011-07-08-12:22:51  Initializing virtual root
:2011-07-08-12:23:03  Initializing virtual root
:2011-07-08-12:23:15  Initializing virtual root
:2011-07-08-12:23:28  Initializing virtual root
:2011-07-08-12:23:40  Initializing virtual root
:2011-07-08-12:23:52  Initializing virtual root
:2011-07-08-12:24:03  Initializing virtual root
:2011-07-08-12:24:15  Initializing virtual root
:2011-07-08-12:24:26  Initializing virtual root
:2011-07-08-12:24:38  Cleaning up virtual root
:2011-07-08-12:24:50  Retrace job finished successfully
Comment 1 Brendan Jones 2011-07-07 23:19:39 EDT
Created attachment 511832 [details]
File: maps
Comment 2 Brendan Jones 2011-07-07 23:19:43 EDT
Created attachment 511833 [details]
File: backtrace
Comment 3 Kevin Fenzi 2011-07-08 10:34:42 EDT
Please 'yum upgrade'. This is fixed in an xfce4-panel update I am pretty sure. ;) 

Can you do so and confirm the problem no longer occurs?
Comment 4 Brendan Jones 2011-07-11 22:53:16 EDT
this still occurs with the following

rpm -qf `which xfce4-panel`
xfce4-panel-4.8.5-1.fc15.i686

however I have narrowed it down somewhat. It only happens when left clicking on the window button and then right click close to kill one of the grouped windows.

Right clicking on the window button and then -> window submenu -> close does not crash the panel. Also it seems to occur on Orta theme from deviant art not Clearlooks.





-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Roel van de Kraats 2012-02-08 12:32:34 EST
Package: xfce4-panel-4.8.6-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Clicked on a Window 'group' button just at the moment one of the windows disappeared.
Comment 6 Fedora End Of Life 2012-08-07 15:54:44 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.